Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class ThumbnailDialog.ThumbnailListener

    java.lang.Object
      java.awt.event.WindowAdapter
          org.apache.batik.apps.svgbrowser.ThumbnailDialog.ThumbnailListener

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.WindowFocusListener, java.awt.event.WindowListener, java.awt.event.WindowStateListener

Enclosing class:
  ThumbnailDialog

protected class ThumbnailDialog.ThumbnailListener
extends java.awt.event.WindowAdapter

Used the first time the thumbnail dialog is shown to make visible the current GVT tree being displayed by the original SVG component.

Constructor Summary
`protected` | `ThumbnailDialog.ThumbnailListener()`

Method Summary
`void` | `windowOpened(java.awt.event.WindowEvent evt)`

Methods inherited from class java.awt.event.WindowAdapter
`windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowGainedFocus, windowIconified, windowLostFocus, windowStateChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThumbnailDialog.ThumbnailListener

    protected ThumbnailDialog.ThumbnailListener()

Method Detail

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent evt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.